Bug 173028 - Review Request: ser - SIP Express Router
Review Request: ser - SIP Express Router
Status: CLOSED DUPLICATE of bug 180345
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://iptel.org/ser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 13:38 EST by Peter Lemenkov
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 16:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2005-11-12 13:38:18 EST
Spec Name or Url: http://paula.comtv.ru/ser.spec
SRPM Name or Url: http://paula.comtv.ru/ser-0.9.4-1.src.rpm
Description: Ser or SIP Express Router is a very fast and flexible SIP (RFC3621)
proxy server. Written entirely in C, ser can handle thousands calls
per second even on low-budget hardware. A C Shell like scripting language
provides full control over the server's behaviour. It's modular
architecture allows only required functionality to be loaded.
Currently the following modules are available: digest authentication,
CPL scripts, instant messaging, MySQL support, a presence agent, radius
authentication, record routing, an SMS gateway, a jabber gateway, a 
transaction module, registrar and user location
Comment 1 John Mahowald 2005-12-16 18:17:27 EST
RFC is actually 3261

Needs a bit of work: (courtesy of fedora-qa script)

* RPM name is OK
* Source ser-0.9.4_src.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock


Needs work:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Spec file: tag Vendor is forbidden
  (wiki: PackagingGuidelines#tags)
* The BuildRoot must be cleaned at the beginning of %install
* rpmlint of ser: init script can be without no replace, and should be
executable. But it should not be enabled by default.
* rpmlint of ser-mysql: Simply remove the . from the summary.
* rpmlint of ser-jabber: Another period to remove.
* rpmlint of ser-cpl-c: Yet another period.
* rpmlint of ser-pa: Remove .
* rpmlint of ser-postgres: Remove .
* File list of ser: Move the /usr/etc heirarchy to /etc.
* Missing dependancy on service for %preun (package initscripts)
* Missing dependancy on chkconfig for %post (package chkconfig)
* Missing dependancy on chkconfig for %preun (package chkconfig)
* Scriptlets: missing "service" in %postun (wiki: ScriptletSnippets) (in
subpackage ser)
Comment 2 Jeffrey C. Ollie 2006-02-07 15:17:01 EST
*** Bug 180345 has been marked as a duplicate of this bug. ***
Comment 3 Jeffrey C. Ollie 2006-02-07 22:58:35 EST
Peter, do you want to keep SER or can it be turned over to Andreas?
Comment 4 Peter Lemenkov 2006-02-08 01:30:26 EST
(In reply to comment #3)
> Peter, do you want to keep SER or can it be turned over to Andreas?

I willingly let Andreas to take ownership over SER. My only reques is to make
separate packages for ser-jabber, ser-cpl-c and ser-pa modules as well as for
ser-postgres and ser-mysql modules.

This patch would be useful for doing this:

http://paula.comtv.ru/ser-0.9.4-Makefile.patch
Comment 5 Andreas Thienemann 2006-02-08 04:36:29 EST
Thx Peter.

About the different packages:

mysql and postgresql are already packaged as subpackages. This makes sense, as
both pull in quite a lot of dependencies, which is unnecessary if one is only
using one database and not the other.

But about the jabber, cpl-c and pa modules, I'm not so sure. All they depend on
are libxml2, expat and pthread.
These libraries are already installed on most systems by default, so it makes no
sense IMHO to split the package up any further.

Comments?
Comment 6 Jeffrey C. Ollie 2006-02-10 16:43:34 EST

*** This bug has been marked as a duplicate of 180345 ***
Comment 7 Christian Iseli 2006-03-29 09:19:49 EST
Removed FE-REVIEW blocker

Note You need to log in before you can comment on or make changes to this bug.